<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>MediaQuery</title>
    <style>
        .container {
            border: 1px solid black;
            height: 100vh;
            width: 100vw;
            background-color: yellow;
            color: black;
        }

        @media only screen and (min-width: 501px) and (max-width:900px) {
            .container {
                background-color: blue;

            }
        }
        
        @media only screen and (orientation: landscape)  {
            .container {
                background-color: blue;

            }
        }
        

        @media only screen and (max-width: 500px) {
            .container {
                background-color: green;
                color: red;
            }
        }


    </style>
</head>

<body>
    <div class="container">
        <h2>MediaQuery</h2>
    </div>
</body>

</html>

<!-- 320-480px:- Mobile Devices
481px-768px:- Ipads,Tablets
769px-1024px:- Laptops,large screens
 1200px and more:-extra large screens, Tv4-->